## Apache Zeta Components Manual :: Docs For Class ezcDocumentXhtmlConversion

### Document::ezcDocumentXhtmlConversion

### Interface ezcDocumentXhtmlConversion

An interface indicating the ability to transform a document directly into XHTML.

Source for this file: /Document/src/interfaces/conversions/xhtml.php

Version: | //autogen//

### Method Summary

public ezcDocumentXhtml | `getAsXhtml( )` Return document compiled to the XHTML format

### Methods

#### getAsXhtml

ezcDocumentXhtml getAsXhtml( )

Return document compiled to the XHTML format

The internal document structure is compiled to the XHTML format and the resulting XHTML document is returned.

This is an optional interface for document markup languages which support a direct transformation to XHTML as a shortcut.

Documentation generated by phpDocumentor 1.4.3